fate: Tweak printing of ignored tests

Message ID 20161229122418.6450-1-martin@martin.st
State Committed
Commit eef860dd92538764f4ab7872812914ff10384268
Headers show

Commit Message

Martin Storsjö Dec. 29, 2016, 12:24 p.m.
Use a tab instead of two spaces, skip the fate prefix for the test name.

This makes IGNORE line fit in even better with the other make printouts.
---
 tests/fate-run.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Diego Biurrun Dec. 29, 2016, 1:26 p.m. | #1
On Thu, Dec 29, 2016 at 02:24:18PM +0200, Martin Storsjö wrote:
> Use a tab instead of two spaces, skip the fate prefix for the test name.
> 
> This makes IGNORE line fit in even better with the other make printouts.
> ---
>  tests/fate-run.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)

OK and thanks

Diego

Patch

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index e1aaf64..623fd63 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -214,7 +214,7 @@  if test -e "$ref" || test $cmp = "oneline" ; then
     cmperr=$?
     test $err = 0 && err=$cmperr
     if [ "$report_type" = "ignore" ]; then
-        test $err = 0 || echo "IGNORE  fate-${test}" && err=0 && unset sig
+        test $err = 0 || echo "IGNORE\t${test}" && err=0 && unset sig
     else
         test $err = 0 || cat $cmpfile
     fi